#include<bits/stdc++.h>
#define ll long long
#define ull unsigned ll
#define pii pair<int, int>
#define pll pair<ll, ll>
#define pb push_back
#define pf push_front
#define popb pop_back
#define popf pop_front
#define mp make_pair
#define ios ios_base::sync_with_stdio(false); cin.tie(NULL); cout.tie(NULL);


using namespace std;
const int N=200005;
int a[N];
double p[N];
int n;
map<double, ll> mapa;
int main()
{
  ios

  cin>>n;
  for (int i=0; i<n; i++)
  {
      cin>>a[i]>>p[i];
      mapa[p[i]]+=a[i];
  }
  sort(p, p+n);
  vector<double> v;
  for (int i=0; i<n; i++)
  {
      if (i==1) v.pb(p[i]);

      else
      {
          if (p[i]!=p[i-1]) v.pb(p[i]);
      }
  }
  double porez=0;
   ll sum=0;
  for (int i=v.size()-1; i>=0; i--)
  {
      sum+=mapa[v[i]];
    if (sum*(v[i]/100)>porez) porez=sum *(v[i]/100);


  }
  cout<<fixed<<showpoint<<setprecision(4)<<porez<<endl;


}